Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFChart.HSSFSeries

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFChart.HSSFSeries

Enclosing class:
  HSSFChart

    public class HSSFChart.HSSFSeries

extends java.lang.Object

A series in a chart

Method Summary
`org.apache.poi.ss.util.CellRangeAddressBase` | `getCategoryLabelsCellRange()`
`org.apache.poi.hssf.record.chart.LinkedDataRecord` | `getDataCategoryLabels()`
`org.apache.poi.hssf.record.chart.LinkedDataRecord` | `getDataName()`
`org.apache.poi.hssf.record.chart.LinkedDataRecord` | `getDataSecondaryCategoryLabels()`
`org.apache.poi.hssf.record.chart.LinkedDataRecord` | `getDataValues()`
`short` | `getNumValues()`
`org.apache.poi.hssf.record.chart.SeriesRecord` | `getSeries()`
`java.lang.String` | `getSeriesTitle()` Returns the series' title, if there is one, or null if not
`org.apache.poi.ss.util.CellRangeAddressBase` | `getValuesCellRange()`
`short` | `getValueType()` See `SeriesRecord`
`void` | `setCategoryLabelsCellRange(org.apache.poi.ss.util.CellRangeAddressBase range)`
`void` | `setSeriesTitle(java.lang.String title)` Changes the series' title, but only if there was one already.
`void` | `setValuesCellRange(org.apache.poi.ss.util.CellRangeAddressBase range)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNumValues

    public short getNumValues()

### getValueType

    public short getValueType()

  See `SeriesRecord`

### getSeriesTitle

    public java.lang.String getSeriesTitle()

  Returns the series' title, if there is one, or null if not

### setSeriesTitle

    public void setSeriesTitle(java.lang.String title)

  Changes the series' title, but only if there was one already. TODO - add in the records if not

### getDataName

    public org.apache.poi.hssf.record.chart.LinkedDataRecord getDataName()

  Returns:
    record with data names

### getDataValues

    public org.apache.poi.hssf.record.chart.LinkedDataRecord getDataValues()

  Returns:
    record with data values

### getDataCategoryLabels

    public org.apache.poi.hssf.record.chart.LinkedDataRecord getDataCategoryLabels()

  Returns:
    record with data category labels

### getDataSecondaryCategoryLabels

    public org.apache.poi.hssf.record.chart.LinkedDataRecord getDataSecondaryCategoryLabels()

  Returns:
    record with data secondary category labels

### getSeries

    public org.apache.poi.hssf.record.chart.SeriesRecord getSeries()

  Returns:
    record with series

### getValuesCellRange

    public org.apache.poi.ss.util.CellRangeAddressBase getValuesCellRange()

### getCategoryLabelsCellRange

    public org.apache.poi.ss.util.CellRangeAddressBase getCategoryLabelsCellRange()

### setValuesCellRange

    public void setValuesCellRange(org.apache.poi.ss.util.CellRangeAddressBase range)

### setCategoryLabelsCellRange

    public void setCategoryLabelsCellRange(org.apache.poi.ss.util.CellRangeAddressBase range)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD